EDIT - bug #4944
task # 4338 (In Progress): [MASTER] Handle abbreviated title and protected cache correctly in TaxEditor

"Protected" indication for references needs to be improved
05/28/2015 03:05 PM - Andreas Mller

Status: Closed Start date:

Priority: Priority13 Due date:

Assignee: Katja Luther % Done: 50%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 3.12

Severity: normal Found in Version:

Description
There are some issues with the orange coloring which indicates that a cache is protected in the reference details view.

1. Generally the reference type is never orange though it should whenever a cache is protected

2. If the reference cache is protected the "Abbrev cache" and the "Abbrev title" should not be orange as these fields are not
primarily made invisible by the protection of the title cache (for discussion see also #4915)

3. If both caches are protected and then one cache is toggled to unprotect only 2-3 fields stay orange. This is inconsistent with the
state when you have both caches unprotected on switch to one field being protected. The same protection state should always
result in the same state of colored fields. This can easily be reached by having one method that computes the coloring and that
is always called when any of the protection states are changing or when a new object is loaded (a similar behavior has been
observed for names: #3737)

4. Related to the above we may think about different colors for the 3 states "titteCache protected", "abbrevCache protected”, "both
protected”

5. We may think about not having the "Reference Abstract” orange as nobody will expect that the abstract will go into the caches
The following is a split from #3561: [DISCUSS] If only Reference Cache or only Abbrev Title Cache are protected how should the
other fields be coloured? E.g. should the author be coloured organge? YES because cache 1 is protected, NO because cache 2 is

not protected.

closely related to #4915

Related issues:

Related to EDIT - bug #9405: Fields set to irrelevant for cache should be set... Closed
Related to EDIT - bug #4915: Abbrev title for person should never be orange Closed
Related to EDIT - feature request #9417: Advanced issues for cache relevance ... New

Associated revisions

Revision 202edbff - 01/23/2021 02:08 AM - Andreas Miiller

ref #9405 , ref #4944 refactor the cache protection indication handling in TaxEditor details view elements

Revision ¢3b6d097 - 01/25/2021 02:25 PM - Andreas Miiller
ref #9405 , ref #4944 fix NPE in CacheRelevanceHelper

Revision 5014c22f - 03/07/2021 11:25 PM - Andreas Miiller
ref #9405, ref #4944 adapt colors for cache protected fields a bit

History

#1 - 06/10/2015 01:17 PM - Andreas Miiller
- Target version set to Release 3.7

- Priority changed from New to Priority13
#2 - 07/20/2015 12:16 PM - Andreas Miiller

- Target version changed from Release 3.7 to Release 3.8

#3 - 09/11/2015 01:57 PM - Andreas Kohlbecker

- Target version deleted (Release 3.8)

moving unresolved tickets to next milestone after release of 3.8.0

#4 - 11/05/2015 12:19 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from k.luther - to Andreas Miiller

adapted the colouring for all cache relevant parts (taxon, name, reference r26363)
@AM: Please have a look if everything works like expected.

I think we should have two or better three different colours. | will put this in another ticket.
#5 - 01/19/2021 12:20 AM - Andreas Miiller

- Description updated

- Private changed from Yes to No

#6 - 01/20/2021 06:06 PM - Andreas Miiller
- Related to bug #9405: Fields set to irrelevant for cache should be set by state only added

#7 - 01/23/2021 02:11 AM - Andreas Miiller
- Related to bug #4915: Abbrev title for person should never be orange added

#8 - 01/23/2021 02:25 AM - Andreas Mdiller

- Assignee changed from Andreas Muiller to Katja Luther

with implementation of #9405 this should be fully fixed now. Please review with new implementation.

The following is a split from #3561: [DISCUSS] If only Reference Cache or only Abbrev Title Cache are protected how should the other fields be
coloured? E.g. should the author be coloured organge? YES because cache 1 is protected, NO because cache 2 is not protected.

This should also be fixed now with possibility of using 3 different colors.

#9 - 01/23/2021 02:41 AM - Andreas Miiller

- Copied from feature request #9417: Advanced issues for cache relevance handling added

#10 - 01/23/2021 02:43 AM - Andreas Miiller

- Copied from deleted (feature request #9417: Advanced issues for cache relevance handling)

#11 - 01/23/2021 02:43 AM - Andreas Muller

- Related to feature request #9417: Advanced issues for cache relevance handling added

#12 - 05/15/2021 01:38 AM - Andreas Muller
- % Done changed from 0 to 50

#13 - 03/14/2022 10:02 AM - Katja Luther

- Status changed from Resolved to Closed

This works now.
